Loading...
Searching...
No Matches
etl::private_frame_check_sequence::add_insert_iterator< TFrame_Check_Sequence > Class Template Reference

`#include <frame_check_sequence.h>`

## Public Member Functions

| add_insert_iterator (TFrame_Check_Sequence &fcs) ETL_NOEXCEPT
add_insert_iterator & | operator* () ETL_NOEXCEPT
add_insert_iterator & | operator++ () ETL_NOEXCEPT
add_insert_iterator & | operator++ (int) ETL_NOEXCEPT
add_insert_iterator & | operator= (uint8_t value)

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::output_iterator_tag, TFrame_Check_Sequence::value_type >
typedef TFrame_Check_Sequence::value_type | value_type
typedef ptrdiff_t | difference_type
typedef TFrame_Check_Sequence::value_type * | pointer
typedef TFrame_Check_Sequence::value_type & | reference
typedef ETL_OR_STD::output_iterator_tag | iterator_category

## Detailed Description

template<typename TFrame_Check_Sequence>
class etl::private_frame_check_sequence::add_insert_iterator< TFrame_Check_Sequence >

add_insert_iterator An output iterator used to add new values.

The documentation for this class was generated from the following file:

- include/etl/frame_check_sequence.h